<div class="version-container">
  <button
    class="version-button"
    #menuTrigger2="matMenuTrigger"
    mat-raised-button
    [matMenuTriggerFor]="menu2"
    (click)="menuTrigger2.openMenu()"
  >
    <span>Version - {{ selectedDefaultRevision?.version }}</span>
    <mat-icon iconPositionEnd>keyboard_arrow_down</mat-icon>
  </button>
  <mat-menu #menu2="matMenu">
    <mat-list role="list" *ngFor="let revision of revisionsList">
      <mat-list-item
        class="list-item"
        (click)="onChangeVersion(revision)"
        [ngClass]="{
          selected: revision.version === selectedDefaultRevision.version
        }"
      >
        <span class="version-text">Version - {{ revision.version }}</span>
      </mat-list-item>
    </mat-list>
  </mat-menu>
</div>
